﻿
 -- 余额巡检重算 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAL_CHECK_REPAIR') 
CREATE TABLE T_BAL_CHECK_REPAIR ( 
FID BIGINT NOT NULL DEFAULT '0',
FTASKNO VARCHAR(50) NOT NULL DEFAULT ' ',
FTASKTYPE CHAR(1) NOT NULL DEFAULT ' ',
FOPRANGE CHAR(1) NOT NULL DEFAULT ' ',
FBAL VARCHAR(36) NOT NULL DEFAULT ' ',
FBILL VARCHAR(36) NOT NULL DEFAULT ' ',
FUPDATERULE VARCHAR(36) NOT NULL DEFAULT ' ',
FREASON NVARCHAR(255) NOT NULL DEFAULT ' ',
FTRACEID VARCHAR(30) NOT NULL DEFAULT ' ',
FOPRESULT CHAR(1) NOT NULL DEFAULT ' ',
FCREATER BIGINT NOT NULL DEFAULT '0',
FCREATEDATE TIMESTAMP NULL DEFAULT NULL,
FERRORINFO NVARCHAR(100) NOT NULL DEFAULT ' ',
FERRORINFO_TAG NCLOB,
FBALFSINFO NVARCHAR(100) NOT NULL DEFAULT ' ',
FBALFSINFO_TAG NCLOB,
FBILLFSINFO NVARCHAR(100) NOT NULL DEFAULT ' ',
FBILLFSINFO_TAG NCLOB
);

 -- 余额巡检重算任务
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAL_CHECK_REPAIR_TASK') 
CREATE TABLE T_BAL_CHECK_REPAIR_TASK ( 
FID BIGINT NOT NULL DEFAULT '0',
FTASKNO VARCHAR(50) NOT NULL DEFAULT ' ',
FMANAGERTRACEID VARCHAR(30) NOT NULL DEFAULT ' ',
FPARENTTASKID BIGINT NOT NULL DEFAULT '0',
FRULE VARCHAR(36) NOT NULL DEFAULT ' ',
FSPARSESEQ BIGINT NOT NULL DEFAULT '0',
FFROMID BIGINT NOT NULL DEFAULT '0',
FTOID BIGINT NOT NULL DEFAULT '0',
FPONITKEY VARCHAR(80) NOT NULL DEFAULT ' ',
FMSGAPPID VARCHAR(20) NOT NULL DEFAULT ' ',
FPARAM VARCHAR(100) NOT NULL DEFAULT ' ',
FPARAM_TAG NCLOB,
FSTATUS CHAR(1) NOT NULL DEFAULT ' ',
FLASTSUCCESSID BIGINT NOT NULL DEFAULT '0',
FTASKTRACEID VARCHAR(30) NOT NULL DEFAULT ' ',
FCREATER BIGINT NOT NULL DEFAULT '0',
FCREATEDATE TIMESTAMP NULL DEFAULT NULL,
FERRORMSG VARCHAR(100) NOT NULL DEFAULT ' ',
FERRORMSG_TAG NCLOB,
FRESULTDATA VARCHAR(100) NOT NULL DEFAULT ' ',
FRESULTDATA_TAG NCLOB
);

 -- 稀疏序列
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAL_SPARSE_SEQ') 
CREATE TABLE T_BAL_SPARSE_SEQ ( 
FID BIGINT NOT NULL DEFAULT '0',
FENTITY VARCHAR(36) NOT NULL DEFAULT ' ',
FENTITYTB VARCHAR(30) NOT NULL DEFAULT ' ',
FACTUALTB VARCHAR(30) NOT NULL DEFAULT ' ',
FDBKEY VARCHAR(20) NOT NULL DEFAULT ' ',
FSPARSECOL VARCHAR(20) NOT NULL DEFAULT ' ',
FSTORETB VARCHAR(30) NOT NULL DEFAULT ' ',
FSPARSESIZE INT NOT NULL DEFAULT '10000',
FMODIFIER BIGINT NOT NULL DEFAULT '0',
FMODIFYDATE TIMESTAMP NULL DEFAULT NULL
); 

 -- 余额巡检重算增量标记
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAL_CHECK_REPAIR_MARK') 
CREATE TABLE T_BAL_CHECK_REPAIR_MARK ( 
FID BIGINT NOT NULL DEFAULT '0',
FPOINTKEY VARCHAR(80) NOT NULL DEFAULT ' ',
FTASKTYPE CHAR(1) NOT NULL DEFAULT ' ',
FPOINTINFO VARCHAR(80) NOT NULL DEFAULT ' ',
FMODIFIER BIGINT NOT NULL DEFAULT '0',
FMODIFYDATE TIMESTAMP NULL DEFAULT NULL
); 


 -- 余额重算条件
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAL_CHECK_REPAIR_ST') 
CREATE TABLE T_BAL_CHECK_REPAIR_ST ( 
FID BIGINT NOT NULL DEFAULT '0',
FNO VARCHAR(36) NOT NULL DEFAULT ' ',
FBAL VARCHAR(36) NOT NULL DEFAULT ' ',
FMODIFIER BIGINT NOT NULL DEFAULT '0',
FMODIFYDATE TIMESTAMP NULL DEFAULT NULL
); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAL_CHECK_REPAIR_ST_E') 
CREATE TABLE T_BAL_CHECK_REPAIR_ST_E ( 
FENTRYID BIGINT NOT NULL DEFAULT '0',
FID BIGINT NOT NULL DEFAULT '0',
FSEQ INT NOT NULL DEFAULT '0',
FRULE VARCHAR(36) NOT NULL DEFAULT ' ',
FHASFILTER CHAR(1) NOT NULL DEFAULT ' ',
FBILLFS VARCHAR(100) NOT NULL DEFAULT ' ',
FBILLFS_TAG NCLOB
); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAL_CFG') 
CREATE TABLE T_BAL_CFG ( 
FID BIGINT NOT NULL DEFAULT '0',
FNUMBER VARCHAR(20) NOT NULL DEFAULT ' ',
FNT_TX_BS INT NOT NULL DEFAULT '0',
FNT_BILL_BS INT NOT NULL DEFAULT '0',
FNT_ALLASYNC_MIN INT NOT NULL DEFAULT '0',
FNT_PARTASYNC_MIN INT NOT NULL DEFAULT '0',
FNT_DELAY_MS INT NOT NULL DEFAULT '0',
FEG_ADDSP_BS INT NOT NULL DEFAULT '0',
FEG_ADDBAL_BS INT NOT NULL DEFAULT '0',
FCL_INVALID_MIN INT NOT NULL DEFAULT '0',
FCL_SAFE_MIN INT NOT NULL DEFAULT '0',
FCL_CHECKTX_BS INT NOT NULL DEFAULT '0',
FCL_PUBTX_BS INT NOT NULL DEFAULT '0',
FMV_UPDATEREAL_BS INT NOT NULL DEFAULT '0',
FMV_TPDATA_BS INT NOT NULL DEFAULT '0',
FMV_UPDATEPER_BS INT NOT NULL DEFAULT '0',
FCR_DATA_BS INT NOT NULL DEFAULT '0',
FMODIFIER BIGINT NOT NULL DEFAULT '0',
FMODIFYDATE TIMESTAMP NULL DEFAULT NULL
); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAL_AUTO_REPAIR') 
CREATE TABLE T_BAL_AUTO_REPAIR ( 
FID BIGINT NOT NULL DEFAULT '0',
FBAL VARCHAR(36) NOT NULL DEFAULT ' ',
FCHECKITEM VARCHAR(80) NOT NULL DEFAULT ' ',
FSTATUS CHAR(1) NOT NULL DEFAULT '0',
FMODIFIER BIGINT NOT NULL DEFAULT '0',
FMODIFYDATE TIMESTAMP NULL DEFAULT NULL
); 



IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_UPDATING' AND KSQL_COL_NAME ='FINSTANCEID') 
 ALTER TABLE T_BAL_UPDATING ADD (FINSTANCEID VARCHAR(50) DEFAULT ' ' NOT NULL );









